getCloudMysqlBackupList

Prev Next

Available in VPC

Get the backup list of a Cloud DB for MySQL instance.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vmysql/v2/getCloudMysqlBackupList

Request headers

For headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for MySQL server instance to view
  • Check through getRegionList
  • First Region of the getRegionList query result (default)
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlBackupList
?regionCode=KR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See CloudMysqlBackupList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json
{
    "getCloudMysqlBackupListResponse": {
        "totalRows": 1,
        "cloudMysqlBackupList": [
            {
                "cloudMysqlInstanceNo": "****890",
                "cloudMysqlServiceName": "test-****",
                "backupFileRetentionPeriod": 10,
                "backupTime": "02:00",
                "backupSize": 597617308,
                "lastBackupDate": "2024-05-24T02:05:03+0900"
            }
        ],
        "requestId": "32a9946d-****-****-****-2390da20749c",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudMysqlBackupListResponse>
  <requestId>32a9946d-****-****-****-2390da20749c</requestId>
  <returnCode>0</returnCode>
  <returnMessage>success</returnMessage>
  <totalRows>1</totalRows>
  <cloudMysqlBackupList>
    <cloudMysqlBackup>
      <cloudMysqlInstanceNo>****890</cloudMysqlInstanceNo>
      <cloudMysqlServiceName>test-****</cloudMysqlServiceName>
      <backupFileRetentionPeriod>10</backupFileRetentionPeriod>
      <backupTime>02:00</backupTime>
      <backupSize>597617308</backupSize>
      <lastBackupDate>2024-05-24T02:05:03+0900</lastBackupDate>
    </cloudMysqlBackup>
  </cloudMysqlBackupList>
</getCloudMysqlBackupListResponse>